<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePackingLineQualityRecordDatasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('qc_packing_line_quality_record_data', function (Blueprint $table) {
            $table->id('plqr_data_id');
            $table->integer('plqr_id');
            $table->integer('hour');
            $table->decimal('seal_damage1');
            $table->decimal('seal_damage2');
            $table->decimal('seal_damage3');
            $table->decimal('seal_damage4');
            $table->decimal('seal_damage5');
            $table->decimal('slab_damage');
            $table->decimal('print_damage');
            $table->decimal('packing_damage');
            $table->decimal('sealing_length');
            $table->string('checked_by');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('qc_packing_line_quality_record_data');
    }
}
