<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePackingLineQualityRecordHeadersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('qc_packing_line_quality_record_headers', function (Blueprint $table) {
            $table->id("plqr_id");
            $table->string('external_id', 100);
            $table->date('trans_date');
            $table->integer('customer_order_plan_data_id');
            $table->integer('product_primary_id');
            $table->string('user_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('qc_packing_line_quality_record_headers');
    }
}
